package nc.vo.sap.syproconfig;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

/**
 * <b> 此处简要描述此类功能 </b>
 * <p>
 *   此处添加累的描述信息
 * </p>
 *  创建日期:2020-10-29
 * @author 
 * @version NCPrj ??
 */
 
public class SyProConfigBVO extends SuperVO {
	
/**
*主键
*/
public java.lang.String pk_body;
/**
*字段编码(NC)
*/
public java.lang.String field_code;
/**
*字段名称(NC)
*/
public java.lang.String field_name;
/**
*是否启用(NC->SAP)
*/
public UFBoolean isenable_ns;
/**
*执行顺序(NC->SAP)
*/
public java.lang.Integer exe_order_ns;
/**
*公式(NC->SAP)
*/
public java.lang.String formula_ns;
/**
*字段编码(SAP)
*/
public java.lang.String field_code_sap;
/**
*字段名称(SAP)
*/
public java.lang.String field_name_sap;
/**
*是否启用(SAP->NC)
*/
public UFBoolean isenable_sn;
/**
*执行顺序(SAP->NC)
*/
public java.lang.Integer exe_order_sn;
/**
*公式(SAP->NC)
*/
public java.lang.String formula_sn;
/**
*是否可空
*/
public UFBoolean nullflag;
/**
*行号
*/
public java.lang.String rowno;
/**
*自定义项0
*/
public java.lang.String vbdef0;
/**
*自定义项1
*/
public java.lang.String vbdef1;
/**
*自定义项2
*/
public java.lang.String vbdef2;
/**
*自定义项3
*/
public java.lang.String vbdef3;
/**
*自定义项4
*/
public java.lang.String vbdef4;
/**
*自定义项5
*/
public java.lang.String vbdef5;
/**
*自定义项6
*/
public java.lang.String vbdef6;
/**
*自定义项7
*/
public java.lang.String vbdef7;
/**
*自定义项8
*/
public java.lang.String vbdef8;
/**
*自定义项10
*/
public java.lang.String vbdef10;
/**
*自定义项11
*/
public java.lang.String vbdef11;
/**
*自定义项12
*/
public java.lang.String vbdef12;
/**
*自定义项13
*/
public java.lang.String vbdef13;
/**
*自定义项14
*/
public java.lang.String vbdef14;
/**
*自定义项15
*/
public java.lang.String vbdef15;
/**
*自定义项16
*/
public java.lang.String vbdef16;
/**
*自定义项17
*/
public java.lang.String vbdef17;
/**
*自定义项18
*/
public java.lang.String vbdef18;
/**
*自定义项19
*/
public java.lang.String vbdef19;
/**
*自定义项20
*/
public java.lang.String vbdef20;
/**
*上层单据主键
*/
public String item;
/**
*时间戳
*/
public UFDateTime ts;
    
    
/**
* 属性 pk_body的Getter方法.属性名：主键
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getPk_body() {
return this.pk_body;
} 

/**
* 属性pk_body的Setter方法.属性名：主键
* 创建日期:2020-10-29
* @param newPk_body java.lang.String
*/
public void setPk_body ( java.lang.String pk_body) {
this.pk_body=pk_body;
} 
 
/**
* 属性 field_code的Getter方法.属性名：字段编码(NC)
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getField_code() {
return this.field_code;
} 

/**
* 属性field_code的Setter方法.属性名：字段编码(NC)
* 创建日期:2020-10-29
* @param newField_code java.lang.String
*/
public void setField_code ( java.lang.String field_code) {
this.field_code=field_code;
} 
 
/**
* 属性 field_name的Getter方法.属性名：字段名称(NC)
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getField_name() {
return this.field_name;
} 

/**
* 属性field_name的Setter方法.属性名：字段名称(NC)
* 创建日期:2020-10-29
* @param newField_name java.lang.String
*/
public void setField_name ( java.lang.String field_name) {
this.field_name=field_name;
} 
 
/**
* 属性 isenable_ns的Getter方法.属性名：是否启用(NC->SAP)
*  创建日期:2020-10-29
* @return nc.vo.pub.lang.UFUFBoolean
*/
public UFBoolean getIsenable_ns() {
return this.isenable_ns;
} 

/**
* 属性isenable_ns的Setter方法.属性名：是否启用(NC->SAP)
* 创建日期:2020-10-29
* @param newIsenable_ns nc.vo.pub.lang.UFUFBoolean
*/
public void setIsenable_ns ( UFBoolean isenable_ns) {
this.isenable_ns=isenable_ns;
} 
 
/**
* 属性 exe_order_ns的Getter方法.属性名：执行顺序(NC->SAP)
*  创建日期:2020-10-29
* @return java.lang.Integer
*/
public java.lang.Integer getExe_order_ns() {
return this.exe_order_ns;
} 

/**
* 属性exe_order_ns的Setter方法.属性名：执行顺序(NC->SAP)
* 创建日期:2020-10-29
* @param newExe_order_ns java.lang.Integer
*/
public void setExe_order_ns ( java.lang.Integer exe_order_ns) {
this.exe_order_ns=exe_order_ns;
} 
 
/**
* 属性 formula_ns的Getter方法.属性名：公式(NC->SAP)
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getFormula_ns() {
return this.formula_ns;
} 

/**
* 属性formula_ns的Setter方法.属性名：公式(NC->SAP)
* 创建日期:2020-10-29
* @param newFormula_ns java.lang.String
*/
public void setFormula_ns ( java.lang.String formula_ns) {
this.formula_ns=formula_ns;
} 
 
/**
* 属性 field_code_sap的Getter方法.属性名：字段编码(SAP)
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getField_code_sap() {
return this.field_code_sap;
} 

/**
* 属性field_code_sap的Setter方法.属性名：字段编码(SAP)
* 创建日期:2020-10-29
* @param newField_code_sap java.lang.String
*/
public void setField_code_sap ( java.lang.String field_code_sap) {
this.field_code_sap=field_code_sap;
} 
 
/**
* 属性 field_name_sap的Getter方法.属性名：字段名称(SAP)
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getField_name_sap() {
return this.field_name_sap;
} 

/**
* 属性field_name_sap的Setter方法.属性名：字段名称(SAP)
* 创建日期:2020-10-29
* @param newField_name_sap java.lang.String
*/
public void setField_name_sap ( java.lang.String field_name_sap) {
this.field_name_sap=field_name_sap;
} 
 
/**
* 属性 isenable_sn的Getter方法.属性名：是否启用(SAP->NC)
*  创建日期:2020-10-29
* @return nc.vo.pub.lang.UFUFBoolean
*/
public UFBoolean getIsenable_sn() {
return this.isenable_sn;
} 

/**
* 属性isenable_sn的Setter方法.属性名：是否启用(SAP->NC)
* 创建日期:2020-10-29
* @param newIsenable_sn nc.vo.pub.lang.UFUFBoolean
*/
public void setIsenable_sn ( UFBoolean isenable_sn) {
this.isenable_sn=isenable_sn;
} 
 
/**
* 属性 exe_order_sn的Getter方法.属性名：执行顺序(SAP->NC)
*  创建日期:2020-10-29
* @return java.lang.Integer
*/
public java.lang.Integer getExe_order_sn() {
return this.exe_order_sn;
} 

/**
* 属性exe_order_sn的Setter方法.属性名：执行顺序(SAP->NC)
* 创建日期:2020-10-29
* @param newExe_order_sn java.lang.Integer
*/
public void setExe_order_sn ( java.lang.Integer exe_order_sn) {
this.exe_order_sn=exe_order_sn;
} 
 
/**
* 属性 formula_sn的Getter方法.属性名：公式(SAP->NC)
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getFormula_sn() {
return this.formula_sn;
} 

/**
* 属性formula_sn的Setter方法.属性名：公式(SAP->NC)
* 创建日期:2020-10-29
* @param newFormula_sn java.lang.String
*/
public void setFormula_sn ( java.lang.String formula_sn) {
this.formula_sn=formula_sn;
} 
 
/**
* 属性 nullflag的Getter方法.属性名：是否可空
*  创建日期:2020-10-29
* @return nc.vo.pub.lang.UFUFBoolean
*/
public UFBoolean getNullflag() {
return this.nullflag;
} 

/**
* 属性nullflag的Setter方法.属性名：是否可空
* 创建日期:2020-10-29
* @param newNullflag nc.vo.pub.lang.UFUFBoolean
*/
public void setNullflag ( UFBoolean nullflag) {
this.nullflag=nullflag;
} 
 
/**
* 属性 rowno的Getter方法.属性名：行号
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getRowno() {
return this.rowno;
} 

/**
* 属性rowno的Setter方法.属性名：行号
* 创建日期:2020-10-29
* @param newRowno java.lang.String
*/
public void setRowno ( java.lang.String rowno) {
this.rowno=rowno;
} 
 
/**
* 属性 vbdef0的Getter方法.属性名：自定义项0
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef0() {
return this.vbdef0;
} 

/**
* 属性vbdef0的Setter方法.属性名：自定义项0
* 创建日期:2020-10-29
* @param newVbdef0 java.lang.String
*/
public void setVbdef0 ( java.lang.String vbdef0) {
this.vbdef0=vbdef0;
} 
 
/**
* 属性 vbdef1的Getter方法.属性名：自定义项1
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef1() {
return this.vbdef1;
} 

/**
* 属性vbdef1的Setter方法.属性名：自定义项1
* 创建日期:2020-10-29
* @param newVbdef1 java.lang.String
*/
public void setVbdef1 ( java.lang.String vbdef1) {
this.vbdef1=vbdef1;
} 
 
/**
* 属性 vbdef2的Getter方法.属性名：自定义项2
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef2() {
return this.vbdef2;
} 

/**
* 属性vbdef2的Setter方法.属性名：自定义项2
* 创建日期:2020-10-29
* @param newVbdef2 java.lang.String
*/
public void setVbdef2 ( java.lang.String vbdef2) {
this.vbdef2=vbdef2;
} 
 
/**
* 属性 vbdef3的Getter方法.属性名：自定义项3
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef3() {
return this.vbdef3;
} 

/**
* 属性vbdef3的Setter方法.属性名：自定义项3
* 创建日期:2020-10-29
* @param newVbdef3 java.lang.String
*/
public void setVbdef3 ( java.lang.String vbdef3) {
this.vbdef3=vbdef3;
} 
 
/**
* 属性 vbdef4的Getter方法.属性名：自定义项4
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef4() {
return this.vbdef4;
} 

/**
* 属性vbdef4的Setter方法.属性名：自定义项4
* 创建日期:2020-10-29
* @param newVbdef4 java.lang.String
*/
public void setVbdef4 ( java.lang.String vbdef4) {
this.vbdef4=vbdef4;
} 
 
/**
* 属性 vbdef5的Getter方法.属性名：自定义项5
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef5() {
return this.vbdef5;
} 

/**
* 属性vbdef5的Setter方法.属性名：自定义项5
* 创建日期:2020-10-29
* @param newVbdef5 java.lang.String
*/
public void setVbdef5 ( java.lang.String vbdef5) {
this.vbdef5=vbdef5;
} 
 
/**
* 属性 vbdef6的Getter方法.属性名：自定义项6
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef6() {
return this.vbdef6;
} 

/**
* 属性vbdef6的Setter方法.属性名：自定义项6
* 创建日期:2020-10-29
* @param newVbdef6 java.lang.String
*/
public void setVbdef6 ( java.lang.String vbdef6) {
this.vbdef6=vbdef6;
} 
 
/**
* 属性 vbdef7的Getter方法.属性名：自定义项7
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef7() {
return this.vbdef7;
} 

/**
* 属性vbdef7的Setter方法.属性名：自定义项7
* 创建日期:2020-10-29
* @param newVbdef7 java.lang.String
*/
public void setVbdef7 ( java.lang.String vbdef7) {
this.vbdef7=vbdef7;
} 
 
/**
* 属性 vbdef8的Getter方法.属性名：自定义项8
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef8() {
return this.vbdef8;
} 

/**
* 属性vbdef8的Setter方法.属性名：自定义项8
* 创建日期:2020-10-29
* @param newVbdef8 java.lang.String
*/
public void setVbdef8 ( java.lang.String vbdef8) {
this.vbdef8=vbdef8;
} 
 
/**
* 属性 vbdef10的Getter方法.属性名：自定义项10
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef10() {
return this.vbdef10;
} 

/**
* 属性vbdef10的Setter方法.属性名：自定义项10
* 创建日期:2020-10-29
* @param newVbdef10 java.lang.String
*/
public void setVbdef10 ( java.lang.String vbdef10) {
this.vbdef10=vbdef10;
} 
 
/**
* 属性 vbdef11的Getter方法.属性名：自定义项11
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef11() {
return this.vbdef11;
} 

/**
* 属性vbdef11的Setter方法.属性名：自定义项11
* 创建日期:2020-10-29
* @param newVbdef11 java.lang.String
*/
public void setVbdef11 ( java.lang.String vbdef11) {
this.vbdef11=vbdef11;
} 
 
/**
* 属性 vbdef12的Getter方法.属性名：自定义项12
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef12() {
return this.vbdef12;
} 

/**
* 属性vbdef12的Setter方法.属性名：自定义项12
* 创建日期:2020-10-29
* @param newVbdef12 java.lang.String
*/
public void setVbdef12 ( java.lang.String vbdef12) {
this.vbdef12=vbdef12;
} 
 
/**
* 属性 vbdef13的Getter方法.属性名：自定义项13
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef13() {
return this.vbdef13;
} 

/**
* 属性vbdef13的Setter方法.属性名：自定义项13
* 创建日期:2020-10-29
* @param newVbdef13 java.lang.String
*/
public void setVbdef13 ( java.lang.String vbdef13) {
this.vbdef13=vbdef13;
} 
 
/**
* 属性 vbdef14的Getter方法.属性名：自定义项14
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef14() {
return this.vbdef14;
} 

/**
* 属性vbdef14的Setter方法.属性名：自定义项14
* 创建日期:2020-10-29
* @param newVbdef14 java.lang.String
*/
public void setVbdef14 ( java.lang.String vbdef14) {
this.vbdef14=vbdef14;
} 
 
/**
* 属性 vbdef15的Getter方法.属性名：自定义项15
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef15() {
return this.vbdef15;
} 

/**
* 属性vbdef15的Setter方法.属性名：自定义项15
* 创建日期:2020-10-29
* @param newVbdef15 java.lang.String
*/
public void setVbdef15 ( java.lang.String vbdef15) {
this.vbdef15=vbdef15;
} 
 
/**
* 属性 vbdef16的Getter方法.属性名：自定义项16
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef16() {
return this.vbdef16;
} 

/**
* 属性vbdef16的Setter方法.属性名：自定义项16
* 创建日期:2020-10-29
* @param newVbdef16 java.lang.String
*/
public void setVbdef16 ( java.lang.String vbdef16) {
this.vbdef16=vbdef16;
} 
 
/**
* 属性 vbdef17的Getter方法.属性名：自定义项17
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef17() {
return this.vbdef17;
} 

/**
* 属性vbdef17的Setter方法.属性名：自定义项17
* 创建日期:2020-10-29
* @param newVbdef17 java.lang.String
*/
public void setVbdef17 ( java.lang.String vbdef17) {
this.vbdef17=vbdef17;
} 
 
/**
* 属性 vbdef18的Getter方法.属性名：自定义项18
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef18() {
return this.vbdef18;
} 

/**
* 属性vbdef18的Setter方法.属性名：自定义项18
* 创建日期:2020-10-29
* @param newVbdef18 java.lang.String
*/
public void setVbdef18 ( java.lang.String vbdef18) {
this.vbdef18=vbdef18;
} 
 
/**
* 属性 vbdef19的Getter方法.属性名：自定义项19
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef19() {
return this.vbdef19;
} 

/**
* 属性vbdef19的Setter方法.属性名：自定义项19
* 创建日期:2020-10-29
* @param newVbdef19 java.lang.String
*/
public void setVbdef19 ( java.lang.String vbdef19) {
this.vbdef19=vbdef19;
} 
 
/**
* 属性 vbdef20的Getter方法.属性名：自定义项20
*  创建日期:2020-10-29
* @return java.lang.String
*/
public java.lang.String getVbdef20() {
return this.vbdef20;
} 

/**
* 属性vbdef20的Setter方法.属性名：自定义项20
* 创建日期:2020-10-29
* @param newVbdef20 java.lang.String
*/
public void setVbdef20 ( java.lang.String vbdef20) {
this.vbdef20=vbdef20;
} 
 
public String getItem() {
	return item;
}

public void setItem(String item) {
	this.item = item;
}

/**
* 属性 生成时间戳的Getter方法.属性名：时间戳
*  创建日期:2020-10-29
* @return nc.vo.pub.lang.UFDateTime
*/
public UFDateTime getTs() {
return this.ts;
}
/**
* 属性生成时间戳的Setter方法.属性名：时间戳
* 创建日期:2020-10-29
* @param newts nc.vo.pub.lang.UFDateTime
*/
public void setTs(UFDateTime ts){
this.ts=ts;
} 
     
    @Override
    public IVOMeta getMetaData() {
    return VOMetaFactory.getInstance().getVOMeta("uapbd.nccsynergy");
    }
   }
    